%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-uri-templates
Version:        0.6
Release:        1%{?dist}
Summary:        A Python implementation of URI Templates

License:        ASL 2.0
URL:            https://github.com/uri-templates/uritemplate-py
Source0:        https://github.com/uri-templates/uritemplate-py/archive/uri-template-py-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest

%if %{with python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%endif

Requires:       python-simplejson

%description
This is a Python implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.

%if %{with python3}
%package -n python3-uri-templates
Summary:        A Python 3 implementation of URI Templates

Requires:       python3-simplejson

%description -n python3-uri-templates
This is a python 3 client module for accessing resources protected by OAuth 2.0
%endif

%prep
%setup -q -n uritemplate-py-uri-template-py-%{version}

# Remove shebang
sed -i "1 d" uritemplate/__init__.py

%build
%{__python2} setup.py build

%if %{with python3}
%{__python3} setup.py build
%endif

%check
%{__python2} -m pytest test/variables_test.py
%if %{with python3}
%{__python3} -m pytest test/variables_test.py
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%if %{with python3}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%endif

# tests are a separate repository?
 
%files 
%doc README.rst
%{python_sitelib}/uritemplate-%{version}-py?.?.egg-info
%{python_sitelib}/uritemplate/

%if %{with python3}
%files -n python3-uri-templates
%doc README.rst
%{python3_sitelib}/uritemplate/
%{python3_sitelib}/uritemplate-%{version}-py?.?.egg-info
%endif


%changelog
* Tue Jun 23 2015 Michele Baldessari <michele@acksyn.org> - 0.6-1
- New upstream
- Add python3 subpackage
- Add check step

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jul 27 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.5.2-1
- Initial rpmbuild

